package de.renew.io.impl.services;

import de.renew.io.api.services.FileService;
import de.renew.ioontology.ExtensionFileFilter;
import de.renew.ioontology.ExtensionFileFilterImpl;
import de.renew.ioontology.FileType;

/**
 * Contains the file functionalities for the file service.
 *
 * @author Clara von Bargen
 */
public class FileServiceImpl implements FileService {
    @Override
    public ExtensionFileFilter createExtensionFileFilter(String extension, String description) {
        return new ExtensionFileFilterImpl(extension, description);
    }

    @Override
    public ExtensionFileFilter createExtensionFileFilter(FileType fileType) {
        return new ExtensionFileFilterImpl(fileType);
    }
}
